Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portlet.adapter.faces.taglib.naming
Class NamingContainerTag

    java.lang.Object
      com.bea.portlet.adapter.faces.taglib.naming.NamingContainerTag

All Implemented Interfaces
  javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class NamingContainerTag

extends Object
implements javax.servlet.jsp.tagext.BodyTag

Custom JSF tag to introduce a `NamingContainer` in the component tree that is responsible for ensuring that component identifiers in the component tree are unique within a portal page.

### Usage

Refer to Usage for usage information.

See Also
  Overview

Field Summary

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`NamingContainerTag()`

Method Summary
`int` | `doAfterBody()`
`int` | `doEndTag()`
`void` | `doInitBody()`
`int` | `doStartTag()`
`String` | `getDefaultScopeKey()` Get the default value for the scope key if the request is not being processed within a `facesContent` control in a portal.
`String` | `getId()` Get the name of the support bean.
`String` | `getIdSeparator()` Get the separator to use between consecutive terms of the id part.
`javax.servlet.jsp.tagext.Tag` | `getParent()`
`void` | `release()`
`void` | `setBodyContent(javax.servlet.jsp.tagext.BodyContent bodyContent)`
`void` | `setDefaultScopeKey(String defaultScopeKey)` Change the default value for the scope key if the request is not being processed within a `facesContent` control in a portal.
`void` | `setId(String id)` Change the name of the support bean.
`void` | `setIdSeparator(String idSeparator)` Change the separator to use between consecutive terms of the id part.
`void` | `setPageContext(javax.servlet.jsp.PageContext pageContext)` Change the `PageContext`.
`void` | `setParent(javax.servlet.jsp.tagext.Tag tag)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NamingContainerTag

    public NamingContainerTag()

Method Detail

### setPageContext

    public void setPageContext(javax.servlet.jsp.PageContext pageContext)

  Change the `PageContext`.

  Specified by:
    `setPageContext` in interface `javax.servlet.jsp.tagext.Tag`
  Parameters
    `pageContext` - the `PageContext`

### setParent

    public void setParent(javax.servlet.jsp.tagext.Tag tag)

  Specified by:
    `setParent` in interface `javax.servlet.jsp.tagext.Tag`

### getParent

    public javax.servlet.jsp.tagext.Tag getParent()

  Specified by:
    `getParent` in interface `javax.servlet.jsp.tagext.Tag`

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Throws
    `javax.servlet.jsp.JspException`

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
  Throws
    `javax.servlet.jsp.JspException`

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`

### getId

    public String getId()

  Get the name of the support bean.

  Returns
    the name of the support bean

### setId

    public void setId(String id)

  Change the name of the support bean.

  Parameters
    `id` - the name of the support bean

### getDefaultScopeKey

    public String getDefaultScopeKey()

  Get the default value for the scope key if the request is not being processed within a `facesContent` control in a portal.

  Returns
    the default value for the scope key if the request is not being processed within a `facesContent` control in a portal

### setDefaultScopeKey

    public void setDefaultScopeKey(String defaultScopeKey)

  Change the default value for the scope key if the request is not being processed within a `facesContent` control in a portal.

  Parameters
    `defaultScopeKey` - the default value for the scope key if the request is not being processed within a `facesContent` control in a portal

### getIdSeparator

    public String getIdSeparator()

  Get the separator to use between consecutive terms of the id part.

  Returns
    the separator to use between consecutive terms of the id part

### setIdSeparator

    public void setIdSeparator(String idSeparator)

  Change the separator to use between consecutive terms of the id part.

  Parameters
    `idSeparator` - the separator to use between consecutive terms of the id part

### setBodyContent

    public void setBodyContent(javax.servlet.jsp.tagext.BodyContent bodyContent)

  Specified by:
    `setBodyContent` in interface `javax.servlet.jsp.tagext.BodyTag`

### doInitBody

    public void doInitBody()
                    throws javax.servlet.jsp.JspException

  Specified by:
    `doInitBody` in interface `javax.servlet.jsp.tagext.BodyTag`
  Throws
    `javax.servlet.jsp.JspException`

### doAfterBody

    public int doAfterBody()
                    throws javax.servlet.jsp.JspException

  Specified by:
    `doAfterBody` in interface `javax.servlet.jsp.tagext.IterationTag`
  Throws
    `javax.servlet.jsp.JspException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.